import apostal.toma.external.*;
import java.util.*;

public class TestLifelongLearningSOAP{

	public static void main(String argv[]){
		if(argv.length>2){
			TestLifelongLearningSOAP test=new TestLifelongLearningSOAP();
			test.testImport(argv[0],argv[1],argv[2]);
		}
	}
	
	public TestLifelongLearningSOAP(){
	}
	
	/////////////////////////////// test client ///////////////////////
	
	public boolean testImport(String UserID, String Password, String filename){
		System.out.println("Import called with UserID="+UserID+", Password="+Password+", filename="+filename);
				
		//DEBUG : get axis properties
		/*System.out.println("Axis properties:");
		Properties props=org.apache.axis.AxisProperties.getProperties();
		Enumeration en=props.propertyNames();
		while(en.hasMoreElements()){
			String name=(String) en.nextElement();
			System.out.println("	"+name+"="+props.getProperty(name));
		}
		System.out.println("> end Axis properties:");*/
		
		//////namespaces constants
		System.out.println("NSPREFIX_SCHEMA_XSD="+javax.xml.rpc.NamespaceConstants.NSPREFIX_SCHEMA_XSD);
		System.out.println("NSPREFIX_SCHEMA_XSI ="+javax.xml.rpc.NamespaceConstants.NSPREFIX_SCHEMA_XSI);
		System.out.println("NSPREFIX_SOAP_ENCODING ="+javax.xml.rpc.NamespaceConstants.NSPREFIX_SOAP_ENCODING);
		System.out.println("NSPREFIX_SOAP_ENVELOPE ="+javax.xml.rpc.NamespaceConstants.NSPREFIX_SOAP_ENVELOPE);
		System.out.println("NSURI_SCHEMA_XSD ="+javax.xml.rpc.NamespaceConstants.NSURI_SCHEMA_XSD);
		System.out.println("NSURI_SCHEMA_XSI ="+javax.xml.rpc.NamespaceConstants.NSURI_SCHEMA_XSI);
		System.out.println("NSURI_SOAP_ENCODING ="+javax.xml.rpc.NamespaceConstants.NSURI_SOAP_ENCODING);
		System.out.println("NSURI_SOAP_ENVELOPE ="+javax.xml.rpc.NamespaceConstants.NSURI_SOAP_ENVELOPE);
		System.out.println("NSURI_SOAP_NEXT_ACTOR ="+javax.xml.rpc.NamespaceConstants.NSURI_SOAP_NEXT_ACTOR);
		//END DEBUG
		
		String url="http://lifelong-learning.everynight.lu/webservices_disabled/lwted.asmx";
		//String url="http://10.13.1.213:8080/axis/services/TestLL";
		
		String target="http://tempuri.org/";
		String method="Import";                        
		String soapAction="http://tempuri.org/Import";
		boolean booleanResult=true;
		Vector callParameters=new Vector();
		SOAPCallParameter param1=new SOAPCallParameter(SOAPCallParameter.USER_PARAM, "UserID");
		callParameters.add(param1);
		SOAPCallParameter param2=new SOAPCallParameter(SOAPCallParameter.PASSWORD_PARAM, "Password");
		callParameters.add(param2);
		SOAPCallParameter param3=new SOAPCallParameter(SOAPCallParameter.STRINGDOCUMENT_PARAM, "XML");
		callParameters.add(param3);
		
		SOAPClient client=new SOAPClient(url, target, method, soapAction);	
		
		boolean result=client.deleteAndEncodeBoolean(UserID, Password, filename, callParameters);              		
		System.out.println("TestLifelongLearningSOAP call result="+result);
			  
		return true;
	}
	
	/////////////////// test server ///////////////////////////////
	public boolean Import(String UserID, String Password, String XML){
		System.out.println("Import called with UserID="+UserID+", Password="+Password+", XML="+XML);
		
		return true;
	}
}
