package apostal.toma.view;

import apostal.toma.data.TOMAConstants;
import apostal.toma.data.TOMALabels;
import apostal.toma.TOMA;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Created by IntelliJ IDEA.
 * User: merche
 * Date: Sep 23, 2003
 * Time: 4:47:04 PM
 * To change this template use Options | File Templates.
 */
public class UpdateResultView extends JDialog implements ActionListener {

    private JPanel panel;

    private TOMAButton ok;
    private String label_ok;
    private TOMALabel infos;


    public UpdateResultView(String title, String message) {
        //super(TOMA.getInstance().getTomaView(), labels.get("apostal.toma.aboutview.title"), true);
        super();
        this.setTitle(title);

        infos = new TOMALabel();
        infos.setTextWithLowerCase(TOMAFonts.htmlBegin + message + TOMAFonts.htmlEnd);


        label_ok = new String("ok");
        ok = new TOMAButton(label_ok);
        ok.setActionCommand("choose_ok");
        ok.addActionListener(this);

        panel = new JPanel();
        panel.setLayout(new GridBagLayout());


        panel.add(infos, new GridBagConstraints(0, 1, 1, 1, 1.0, 0.0, GridBagConstraints.NORTHWEST, GridBagConstraints.HORIZONTAL, new Insets(5, 5, 5, 5), 0, 0));

        panel.add(ok, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(5, 5, 5, 5), 0, 0));

        this.setBackground(TOMAColors.tomaBackgroundColor);
        panel.setBackground(TOMAColors.tomaBackgroundColor);

        this.getContentPane().add(panel);
        this.pack();

    }

    public void actionPerformed(ActionEvent e) {
        String cmd = e.getActionCommand();
        if (cmd.equals("choose_ok"))
            System.exit(0);
    }


    public void center() {
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Dimension frameSize = this.getSize();
        this.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    }
}
