package apostal.toma.view;

import apostal.toma.TOMA;

import javax.swing.event.TreeModelListener;
import javax.swing.event.TreeModelEvent;
import javax.swing.tree.DefaultMutableTreeNode;

/**
 * Created by IntelliJ IDEA.
 * User: merche
 * Date: May 6, 2003
 * Time: 4:46:46 PM
 * To change this template use Options | File Templates.
 */
public class MyTreeModelListener implements TreeModelListener {

    public void treeNodesChanged(TreeModelEvent e) {
        DefaultMutableTreeNode node;
        node = (DefaultMutableTreeNode)
                (e.getTreePath().getLastPathComponent());

        /*
         * If the event lists children, then the changed
         * node is the child of the node we've already
         * gotten.  Otherwise, the changed node and the
         * specified node are the same.
         */
        try {
            int index = e.getChildIndices()[0];
            node = (DefaultMutableTreeNode)
                    (node.getChildAt(index));
            TOMA.log(TOMA.WARNING, "tree node change event");
        } catch (NullPointerException exc) {
            TOMA.log(TOMA.SEVERE, "tree node change event");
        }


    }

    public void treeNodesInserted(TreeModelEvent e) {
        TOMA.log(TOMA.WARNING, "un neoud ajout");
    }

    public void treeNodesRemoved(TreeModelEvent e) {
    }

    public void treeStructureChanged(TreeModelEvent e) {
        TOMA.log(TOMA.WARNING, "tree structure changed event");
    }
}